# WARNING - Generated by {fusen} from dev/flat_study_squirrels.Rmd: do not edit by hand

test_that("study_activity works", {

  data(data_act_squirrels)
result <- study_activity(df_squirrels_act = data_act_squirrels, 
               col_primary_fur_color = "Gray")
  
  expect_true(inherits(result, "list"))
  
  expect_equal(
    names(result),
    c("table", "graph"))
  
  expect_error(
    study_activity(
    df_squirrels_act = "squirrels",
    col_primary_fur_color = "Gray"
  ),
  "df_squirrels_act is not a data frame"
  )
})

test_that("save_as_csv works", {
  
  # Création d'un dossier temporaire
  mon_dossier_temp <- tempfile(pattern = "savecsv")
  dir.create(mon_dossier_temp)

  res <- save_as_csv(
    data = iris, 
    chemin = file.path(mon_dossier_temp, "output.csv")
  )
  
  expect_true(file.exists(res))
  
  
  expect_error(
    save_as_csv(
      data = "iris",
      chemin = file.path(mon_dossier_temp, "output.csv")
    ),
    "Data must be a data.frame"
  )
  
  expect_error(
    save_as_csv(
      data = data.frame(),
      chemin = file.path(mon_dossier_temp, "output.csv")
    ),
    "Data has to be not empty"
  )
  
  expect_error(
    save_as_csv(
      data = iris,
      chemin = file.path(mon_dossier_temp, "output.xlsx")
    ),
    "Path must be with .csv extension"
  )
  
})
